Get a Manifest | ShipEngine

🎉ShipEngine is becoming ShipStation API🎉

Over the next few months you'll notice the ShipEngine website, documentation portal, and dashboard being rebranded as ShipStation API. For our ShipEngine customers, you don't need to take any action or change any of your integrations in any way. All endpoints will remain the same and continue to function as they always have.

To learn more about what's coming, review our New ShipStation API page.

Get Manifests

Once you've created manifests, there are three GET calls you can make to to /v1/manifests endpoint to retrieve manifest details.

List Manifests

When listing your manifests, you can use any of the following query parameters in the call.

Query Parameter Type Description
warehouse_id string
carrier_id string
label_ids string
ship_date_start date string ISO 8601 Standard
2019-07-25T15:24:46.657Z
ship_date_end date string ISO 8601 Standard
2019-07-25T15:24:46.657Z
create_date_start date string ISO 8601 Standard
2019-07-25T15:24:46.657Z
create_date_end date string ISO 8601 Standard
2019-07-25T15:24:46.657Z

Example Request

GET /v1/manifests

GET /v1/manifests?warehouse_id=11921&carrier_id=se-123890 HTTP/1.1

The response will return the following details:

Get Manifest by ID

You will need a manifest_id for this request. You can run a List Manifests call to return a list of manifests generated for a carrier within the date range you specify.

Example Request

GET /v1/manifests/:manifest_id

GET /v1/manifests/se-28529731 HTTP/1.1

Response

{
  "manifest_id": "se-28529731",
  "form_id": "se-28529731",
  "created_at": "2019-07-12T13:37:39.050Z",
  "ship_date": "2019-07-12T13:37:39.050Z",
  "shipments": 100,
  "label_ids": [
    "se-28529731"
  ],
  "warehouse_id": "se-28529731",
  "submission_id": "9475711899564878915476",
  "carrier_id": "se-28529731",
  "manifest_download": {
    "href": "http://api.shipengine.com/v1/labels/se-28529731"
  }
}

Get Manifest Request by ID

You will need a manifest_request_id for this request, which is available in the Create Manifests response.

GET /v1/manifests/requests/:manifest_request_id

GET /v1/manifests/requests/se-28529731 HTTP/1.1

The response will contain the same objects and properties as the Get Manifest by ID, with the addition of the manifest_request object (which includes the request status property) and the errors object.